Name:           python-git-remote-hg
Version:        1.0.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        access hg repositories as git remotes

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://github.com/mnauw/git-remote-hg
Source:         %{pypi_source git_remote_hg}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'git-remote-hg' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-git-remote-hg
Summary:        %{summary}

%description -n python3-git-remote-hg %_description


%prep
%autosetup -p1 -n git_remote_hg-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-git-remote-hg -f %{pyproject_files}


%changelog
%autochangelog